Update an Order
Order API Schema
order_id
- Type: string
- Requirement: required
- Description: The order_id you used to report the order to button.
total
- Type: int32
- Description: The new total attributable order value, in smallest decimal currency units. Must be an integer >= 0. Example: 1234 for $12.34. Must not include shipping and handling, tax, promotions, or credits (i.e. total should be the actual value of the product or service before any adjustments).
line_items
- Type: object
- Description: An array of line item details of your order.
finalization_date
- Type: string
- Description: Please refer to our Order API best practices for more information.
accept
- Type: string
- Enum: Defaults to application/json
- Allowed Values:
application/json,text/plain
Sample cURL Command
curl https://api.usebutton.com/v1/order/ord-xxx \
-X POST \
-u my-api-key: \
-H "Content-Type: application/json" \
-d '{
"total": 1000
}'
Response Examples
application/json
200 - Result
text/plain
403 - Result